# norootforbuild

%define soname 4

%if 0%{?suse_version} >= 1030
%define split 1
Name:		libifp%{soname}
%else
Name:		libifp
%endif
Version:	1.0.0.2
Release:	4.11
Summary:	Library Driver for iRiver's iFP Portable Audio Players
Source:		http://prdownloads.sourceforge.net/ifp-driver/libifp-%{version}.tar.gz
URL:		http://ifp-driver.sourceforge.net/libifp/
Group:		System/Libraries
License:	GNU General Public License (GPL)
BuildRoot:	%{_tmppath}/build-%{name}-%{version}
BuildRequires:	gcc-c++ doxygen libstdc++-devel
%if 0%{?suse_version} >= 1030 || 0%{?centos_version} || 0%{?rhel_version} || 0%{?fedora_version}
BuildRequires:	libusb-devel
%else
BuildRequires:	libusb
%endif

%description
libifp is a general-purpose library-driver for iRiver's iFP (flash-based)
portable audio players.

%if %{?split:1}0
%package -n libifp-tools
Summary:	Command-Line Tools for iRiver's iFP Portable Audio Players
Group:		Productivity/Multimedia/Other
Requires:	%{name} = %{version}-%{release}

%description -n libifp-tools
libifp is a general-purpose library-driver for iRiver's iFP (flash-based)
portable audio players.

This subpackage contains command-line tools that use %{name}
%endif #split

%package -n libifp-devel
Summary:	Development Environment for %{name}
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}-%{release}

%description -n libifp-devel
libifp is a general-purpose library-driver for iRiver's iFP (flash-based)
portable audio players.

%if 0%{?suse_version} >= 930
%debug_package
%endif
%prep
%setup -q -n "libifp-%{version}"
%{?suse_update_libdir:%{suse_update_libdir}}

%build
autoreconf -fiv

%configure \
	--with-libusb \
	--enable-examples

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__mv "%{buildroot}%{_bindir}/simple" "%{buildroot}%{_bindir}/ifp-simple" 

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_libdir}/libifp.so.%{soname}
%{_libdir}/libifp.so.%{soname}.*

%if %{?split:1}0
%files -n libifp-tools
%defattr(-,root,root)
%doc ChangeLog README TODO
%endif
%{_bindir}/ifpline
%{_bindir}/ifp-simple

%files -n libifp-devel
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_includedir}/ifp.h
%{_libdir}/libifp.so
%{_libdir}/libifp.la
%{_libdir}/libifp.a
%doc %{_mandir}/man3/ifp.h.3*

%changelog
* Wed Oct 03 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

